## broccoli-ruby 1.58

=== Makefile ===
REPO=`basename \`git config --get remote.origin.url | sed 's/^[^:]*://g'\``
VERSION_FULL=$(REPO)-`cat VERSION`
VERSION_MIN=$(REPO)-`cat VERSION`-minimal
HAVE_MODULES=git submodule | grep -v cmake >/dev/null

all:

dist:
	@rm -rf $(VERSION_FULL) $(VERSION_FULL).tgz
	@rm -rf $(VERSION_MIN) $(VERSION_MIN).tgz
	@git clone --recursive . $(VERSION_FULL) >/dev/null 2>&1
	@find $(VERSION_FULL) -name .git\* | xargs rm -rf
	@tar -czf $(VERSION_FULL).tgz $(VERSION_FULL) && echo Package: $(VERSION_FULL).tgz && rm -rf $(VERSION_FULL)
	@$(HAVE_MODULES) && git clone . $(VERSION_MIN) >/dev/null 2>&1 || exit 0
	@$(HAVE_MODULES) && (cd $(VERSION_MIN) && git submodule update --init cmake >/dev/null 2>&1) || exit 0
	@$(HAVE_MODULES) && find $(VERSION_MIN) -name .git\* | xargs rm -rf || exit 0
	@$(HAVE_MODULES) && tar -czf $(VERSION_MIN).tgz $(VERSION_MIN) && echo Package: $(VERSION_MIN).tgz && rm -rf $(VERSION_MIN) || exit 0

distclean:
	rm -rf build/

=== debian/changelog ===
broccoli-ruby (1.58-2build3) xenial; urgency=medium

  * No-change rebuild for ruby2.3-only support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 21:14:14 +0000

broccoli-ruby (1.58-2build2) xenial; urgency=medium

  * No-change rebuild to add ruby2.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 12:34:20 +0000

broccoli-ruby (1.58-2build1) xenial; urgency=medium

  * No-change rebuild to drop ruby2.1 support.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Jan 2016 11:23:56 +0000

broccoli-ruby (1.58-2) unstable; urgency=medium

  * Mention setup.rb in copyright

 -- Hilko Bengen <bengen@debian.org>  Tue, 03 Nov 2015 18:37:08 +0100

broccoli-ruby (1.58-1) unstable; urgency=low

  * Initial release (Closes: #803572)

 -- Hilko Bengen <bengen@debian.org>  Sat, 31 Oct 2015 13:40:46 +0100

=== debian/control ===
Source: broccoli-ruby
Section: ruby
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9), cmake,
 gem2deb,
 libbroccoli-dev,
 ruby-all-dev,
 swig,
Standards-Version: 3.9.6
Homepage: http://www.bro.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/broccoli-ruby.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/broccoli-ruby.git;a=summary

Package: ruby-broccoli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Ruby extension for Broccoli
 This package provides a Ruby extension for Broccoli, Bro's client
 communication library. In general, the bindings provide the same
 functionality as Broccoli's C API.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/\
    https://www.bro.org/downloads/release/broccoli-ruby-(\d.*)\.tar\.gz

## broccoli-ruby 1.60

=== debian/changelog ===
broccoli-ruby (1.60-1) unstable; urgency=medium

  * New upstream version
  * Update watch file
  * Update Standards-Version
  * Rebase patches

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Nov 2016 10:51:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libbroccoli-dev,
  ruby-all-dev,
  swig,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.bro.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/broccoli-ruby.git
 Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/broccoli-ruby.git;a=summary

## broccoli-ruby 1.61

=== CMakeLists.txt ===
project(broccoli-ruby)
cmake_minimum_required(VERSION 2.6.3 FATAL_ERROR)
include(cmake/CommonCMakeConfig.cmake)

########################################################################
## Dependency Configuration

include(FindRequiredPackage)

FindRequiredPackage(Broccoli)
FindRequiredPackage(SWIG)

find_package(Ruby 1.8)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/example.i "%module example %{%}")
execute_process(COMMAND ${SWIG_EXECUTABLE} -ruby
    ${CMAKE_CURRENT_BINARY_DIR}/example.i
    ERROR_VARIABLE SWIG_RUBY_ERR)

if (MISSING_PREREQS OR NOT RUBY_FOUND OR SWIG_RUBY_ERR)
    if ("${PROJECT_SOURCE_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
        set(msg_type SEND_ERROR)
    else ()
        set(msg_type STATUS)
    endif ()

    foreach (prereq ${MISSING_PREREQ_DESCS})
        message(${msg_type} ${prereq})
    endforeach ()

    if (NOT RUBY_FOUND)
        message(${msg_type} "No ruby installation found")
    endif ()

    if (SWIG_RUBY_ERR)
        message(${msg_type} "Swig installation doesn't support Ruby wrapper generation: ${SWIG_RUBY_ERR}")
    endif ()

    if (NOT "${PROJECT_SOURCE_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
        message(STATUS "Warning: Ruby bindings will not be built")
        return()
    endif ()

    message(FATAL_ERROR "Configuration aborted due to missing prerequisites")
endif ()

if (RUBY_INCLUDE_PATH)
    # CMake 2.6 compatibility -- FindRuby used to set RUBY_INCLUDE_PATH
    include_directories(BEFORE ${RUBY_INCLUDE_PATH})
else ()
    include_directories(BEFORE ${RUBY_INCLUDE_DIRS})
endif ()

include_directories(BEFORE ${Broccoli_INCLUDE_DIR})

########################################################################
## Build Ruby Extension

include(UseSWIG)

set(CMAKE_SWIG_OUTDIR ${CMAKE_CURRENT_BINARY_DIR}/ext/broccoli_ext)
swig_add_module(broccoli_ext ruby ext/broccoli_ext/broccoli_intern.i)
if (APPLE)
    # Mac OS X needs ruby extensions to end with ".bundle"
    # and it needs the -flat_namespace argument for SWIG.
    set_target_properties(broccoli_ext 
        PROPERTIES SUFFIX ".bundle"
        LINK_FLAGS "-flat_namespace" )
endif ()
set_target_properties(broccoli_ext PROPERTIES 
    OUTPUT_NAME "broccoli_ext" 
    PREFIX "")
swig_link_libraries(broccoli_ext ${Broccoli_LIBRARY} ${RUBY_LIBRARY})
set_source_files_properties(${swig_generated_file_fullname} PROPERTIES
                            COMPILE_FLAGS -fno-strict-aliasing)

########################################################################
## Install Files

if (NOT RB_INSTALL_DIR)
    # the configure wrapper was not used, default to "home" style installation
    set(RB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib/ruby)
    set(RB_ARCH_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib/ruby)
endif ()

install(FILES lib/broccoli.rb DESTINATION ${RB_INSTALL_DIR})
install(FILES lib/Broccoli/connection.rb DESTINATION ${RB_INSTALL_DIR}/Broccoli)
install(FILES lib/Broccoli/event.rb DESTINATION ${RB_INSTALL_DIR}/Broccoli)
install(FILES lib/Broccoli/record.rb DESTINATION ${RB_INSTALL_DIR}/Broccoli)

install(TARGETS broccoli_ext DESTINATION ${RB_ARCH_INSTALL_DIR})

########################################################################
## Build Summary

if (CMAKE_BUILD_TYPE)
    string(TOUPPER ${CMAKE_BUILD_TYPE} BuildType)
endif ()

message(
    "\n==============|  Broccoli-Ruby Build Summary  |================="
    "\n"
    "\nLib install dir:   ${RB_INSTALL_DIR}"
    "\nExt install dir:   ${RB_ARCH_INSTALL_DIR}"
    "\nDebug mode:        ${ENABLE_DEBUG}"
    "\n"
    "\nCC:                ${CMAKE_C_COMPILER}"
    "\nCFLAGS:            ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_${BuildType}}"
    "\nCXX:               ${CMAKE_CXX_COMPILER}"
    "\nCXXFLAGS:          ${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_${BuildType}}"
    "\nCPP:               ${CMAKE_CXX_COMPILER}"
    "\n"
    "\n================================================================\n"
)

include(UserChangedWarning)

=== debian/changelog ===
broccoli-ruby (1.61-1build2) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 09:35:11 +0000

broccoli-ruby (1.61-1build1) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:13:43 +0000

broccoli-ruby (1.61-1) unstable; urgency=medium

  * New upstream version 1.61

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Jul 2017 21:43:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: broccoli-ruby
 Section: ruby
 Priority: optional
-Maintainer: Hilko Bengen <bengen@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 9), cmake,
  gem2deb,
  libbroccoli-dev,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with ruby --buildsystem cmake

RUBY_VERSION=2.1.0

define newline


endef

override_dh_auto_configure: options+=-DRB_INSTALL_DIR=$(shell $(ruby) -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')
override_dh_auto_configure: options+=-DRB_ARCH_INSTALL_DIR=$(shell $(ruby) -rrbconfig -e 'puts RbConfig::CONFIG["vendorarchdir"]')

override_dh_auto_clean \
override_dh_auto_configure \
override_dh_auto_build \
override_dh_auto_test \
override_dh_auto_install:
	$(foreach ruby,$(shell find /usr/bin/ -name 'ruby[12]*' | xargs -n1 readlink -f | xargs -n1 basename),\
		$(subst override_,,$@) --builddirectory=$(ruby)-obj-$(DEB_HOST_MULTIARCH) -- $(options)$(newline))

## broccoli-ruby 1.62

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,7 +59,15 @@
 include(UseSWIG)
 
 set(CMAKE_SWIG_OUTDIR ${CMAKE_CURRENT_BINARY_DIR}/ext/broccoli_ext)
-swig_add_module(broccoli_ext ruby ext/broccoli_ext/broccoli_intern.i)
+
+if ( CMAKE_VERSION VERSION_LESS 3.8.0 )
+    swig_add_module(broccoli_ext ruby ext/broccoli_ext/broccoli_intern.i)
+else ()
+    swig_add_library(broccoli_ext
+                     LANGUAGE ruby
+                     SOURCES ext/broccoli_ext/broccoli_intern.i)
+endif ()
+
 if (APPLE)
     # Mac OS X needs ruby extensions to end with ".bundle"
     # and it needs the -flat_namespace argument for SWIG.

=== Makefile ===
REPO=$$(cd $(CURDIR) && basename $$(git config --get remote.origin.url | sed 's/^[^:]*://g'))
VERSION_FULL=$(REPO)-$$(cd $(CURDIR) && cat VERSION)
VERSION_MIN=$(REPO)-$$(cd $(CURDIR) && cat VERSION)-minimal
GITDIR=$$(test -f .git && echo $$(cut -d" " -f2 .git) || echo .git)

all:

dist:
	@test -e ../$(VERSION_FULL) && rm -ri ../$(VERSION_FULL) || true
	@cp -R . ../$(VERSION_FULL)
	@for i in . $$(git submodule foreach -q --recursive realpath --relative-to=$$(pwd) .); do ((cd ../$(VERSION_FULL)/$$i && test -f .git && cp -R $(GITDIR) .gitnew && rm -f .git && mv .gitnew .git && sed -i.bak -e 's#[[:space:]]*worktree[[:space:]]*=[[:space:]]*.*##g' .git/config) || true); done
	@for i in . $$(git submodule foreach -q --recursive realpath --relative-to=$$(pwd) .); do (cd ../$(VERSION_FULL)/$$i && git reset -q --hard && git clean -ffdxq); done
	@(cd ../$(VERSION_FULL) && find . -name \.git\* | xargs rm -rf)
	@mv ../$(VERSION_FULL) .
	@tar -czf $(VERSION_FULL).tar.gz $(VERSION_FULL)
	@echo Package: $(VERSION_FULL).tar.gz
	@rm -rf $(VERSION_FULL)

distclean:
	rm -rf build/

=== debian/changelog ===
broccoli-ruby (1.62-1) unstable; urgency=medium

  * New upstream version 1.62
  * Bump Debhelper compat level
  * Update Vcs-* headers after migration to salsa.debian.org
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Fri, 08 Feb 2019 09:12:48 +0100

=== debian/control ===
Source: broccoli-ruby
Section: ruby
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 12~), cmake,
 gem2deb,
 libbroccoli-dev,
 ruby-all-dev,
 swig,
Standards-Version: 4.3.0
Homepage: http://www.bro.org/
Vcs-Git: https://salsa.debian.org/debian/broccoli-ruby.git
Vcs-Browser: https://salsa.debian.org/debian/broccoli-ruby

Package: ruby-broccoli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: Ruby extension for Broccoli
 This package provides a Ruby extension for Broccoli, Bro's client
 communication library. In general, the bindings provide the same
 functionality as Broccoli's C API.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/\
    https://www.bro.org/downloads/broccoli-ruby-(\d.*)\.tar\.gz
